Package org.eclipse.gef

# Interface AccessibleHandleProvider

public interface AccessibleHandleProvider
This class provides keyboard accessibility support for the `Handles` of the primary-selected `EditPart`. Handles are grabbable regions on the screen. Typically the user will grab a handle by pressing and holding the mouse button. This function must also be available via the keyboard for accessibility reasons. Even mouse Users will appreciate the fine-grained control offered by the keyboard for operations like "nudging".

The SelectionTool is the primary client for Handles. When it is active, the PERIOD keystroke will cycle through the list of Accessibile locations (Points) supplied by the current EditPart. The "current EditPart" is defined as the EditPart with primary selection.

## Method Summary

Modifier and Type
Method
Description
`List`
`getAccessibleHandleLocations()`
Returns a list of Points in absolute coordinates where `Handles` are located.

## Method Details

### getAccessibleHandleLocations

List getAccessibleHandleLocations()
Returns a list of Points in absolute coordinates where `Handles` are located. `Tools` that work with Handles should use these locations when operating in accesible keyboard modes.

Returns:
  A list of absolute locations (Points relative to the Viewer's Control); cannot be `null`